%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		globus-gridmap-eppn-callout
%global _name %(tr - _ <<< %{name})
Version:	1.13
Release:	1%{?dist}
Summary:	Globus Toolkit - Globus gridmap ePPN callout

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://toolkit.globus.org/
Source:		http://toolkit.globus.org/ftppub/gt6/packages/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GSIC
#		Allow compilation on EPEL 5 (openssl 0.9.8)
Patch0:		%{name}-openssl098.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	globus-common-devel >= 15
BuildRequires:	globus-gsi-sysconfig-devel >= 5
BuildRequires:	globus-gssapi-gsi-devel >= 9
BuildRequires:	globus-gss-assist-devel >= 8
BuildRequires:	globus-gridmap-callout-error-devel
BuildRequires:	globus-gsi-credential-devel >= 6
BuildRequires:	globus-gsi-cert-utils-devel >= 8
BuildRequires:	globus-gsi-openssl-error-devel >= 2
BuildRequires:	globus-gssapi-error-devel >= 4
BuildRequires:	openssl-devel

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus gridmap eduPersonPrincipalName (ePPN) callout

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
# Reduce overlinking
export LDFLAGS="-Wl,--as-needed -Wl,-z,defs %{?__global_ldflags}"

%configure --disable-static \
	   --includedir='${prefix}/include/globus' \
	   --libexecdir='${datadir}/globus' \
	   --docdir=%{_pkgdocdir}

# Reduce overlinking
sed 's!CC \(.*-shared\) !CC \\\${wl}--as-needed \1 !' -i libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove libtool archives (.la files)
rm %{buildroot}%{_libdir}/*.la

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_pkgdocdir}/README

# Remove license file from pkgdocdir if licensedir is used
%{?_licensedir: rm %{buildroot}%{_pkgdocdir}/GLOBUS_LICENSE}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
# This is a loadable module (plugin)
%{_libdir}/libglobus_gridmap_eppn_callout.so
%config(noreplace) %{_sysconfdir}/gridmap_eppn_callout-gsi_authz.conf
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README
%{!?_licensedir: %doc %{_pkgdocdir}/GLOBUS_LICENSE}
%{?_licensedir: %license GLOBUS_LICENSE}

%changelog
* Fri Nov 04 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 1.13-1
- GT6 update

* Fri Oct 14 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 1.12-2
- Rebuild for openssl 1.1.0 (Fedora 26)

* Sat Sep 03 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 1.12-1
- GT6 update

* Fri May 06 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.11-1
- GT6 update: Missing dependency
- Drop patch globus-gridmap-eppn-callout-deps.patch (fixed upstream)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.9-1
- GT6 update (GT-373: add support for proxies to eppn callout)
- Add missing dependency on globus-gsi-cert-utils

* Sun Jul 12 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.8-1
- GT6 update (remove unused variable)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 23 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7-3
- Implement updated license packaging guidelines

* Fri Jan 16 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7-2
- Extend package description

* Mon Oct 27 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.7-1
- GT6 update
- Drop patch globus-gridmap-eppn-callout-deps.patch (fixed upstream)

* Fri Sep 12 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.6-1
- Initial packaging
